// The class SRCBAndLBItem is designed to store all information regarding a an entry
// in a CLIstBox or a CComboBox.
//
// Author:	Ranjan Banerji
//  
//
//
//
//
//

#include "stdafx.h"
#include <afxcoll.h>
#include <afxtempl.h>
#ifndef _SRCBANDLBITEM_H
#include "SRCBAndLBItem.h"
#endif


SRCBAndLBItem::SRCBAndLBItem() {}

SRCBAndLBItem::SRCBAndLBItem(const SRCBAndLBItem& rhs) {
	_index = rhs.GetIndex();
	_text = rhs.GetText();
	_itemData = rhs.GetItemData();
}

SRCBAndLBItem::SRCBAndLBItem(const int& index, const CString& text, DWORD item) {
	_index = index;
	_text = text;
	_itemData = item;
}

SRCBAndLBItem::~SRCBAndLBItem() {}

SRCBAndLBItem& SRCBAndLBItem::operator=(const SRCBAndLBItem& rhs) {
	if(this != &rhs) {
		_index = rhs.GetIndex();
		_text = rhs.GetText();
		_itemData = rhs.GetItemData();
	}
	return *this;
}

SRCBAndLBItemArray::SRCBAndLBItemArray() {}

SRCBAndLBItemArray::~SRCBAndLBItemArray() {
	RemoveAll();
}

void SRCBAndLBItemArray::RemoveAll()  {
	while (GetSize() > 0) {
		SRCBAndLBItem*	data = GetAt(0);
		RemoveAt(0, 1);
		delete data;
	}
}