#if !defined(AFX_SRLISTBOX_H__0D724564_1FB5_11D2_9377_444553540000__INCLUDED_)
#define AFX_SRLISTBOX_H__0D724564_1FB5_11D2_9377_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// SRListBox.h : header file
//
#ifndef _SRCBANDLBITEM_H
#include "SRCBAndLBItem.h"
#endif

/////////////////////////////////////////////////////////////////////////////
// SRListBox window

class SRListBox : public CListBox {
	private:
		SRCBAndLBItemArray		_selectionArray;
		bool					_singleSelect;
// Construction
	public:
		SRListBox();
		SRListBox(const bool& single);
		virtual ~SRListBox();
// Inspectors
		const SRCBAndLBItemArray& GetSelectionArray() const { return _selectionArray; };
		bool Selection() const;
		bool IsSingleSelect() const { return _singleSelect; }
// Mutators
		void SetSingleSelect(const bool& single) { _singleSelect = single; }
// Operators
		void UnSelectSelections(const int& except);
		void UpdateData(const BOOL& save);


	protected:
	//{{AFX_MSG(SRListBox)
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SRLISTBOX_H__0D724564_1FB5_11D2_9377_444553540000__INCLUDED_)
